Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTreeComposite Class Reference

`#include <vtkTreeComposite.h>`

Inheritance diagram for vtkTreeComposite:

[legend]
Collaboration diagram for vtkTreeComposite:

[legend]
List of all members.

## Detailed Description

Implements tree based compositing.

Date:
  2002/11/22 16:31:36

Revision:
  1.24

vtkTreeComposite is a legacy class that is an emty subclass of vtkCompositeManager. You should use vtkCompositeManager in the future.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (34%)
  - Law, Charles (31%)
  - Hoffman, Bill (18%)
  - Henderson, Amy (8%)
  - Geveci, Berk (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkTreeComposite.cxx)`
  - .`h` (`/Parallel/vtkTreeComposite.h)`

Definition at line 45 of file vtkTreeComposite.h.

## Public Types
typedef vtkCompositeManager | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkTreeComposite * | New ()
int | IsTypeOf (const char *type)
vtkTreeComposite * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkTreeComposite ()
| ~vtkTreeComposite ()

## Member Typedef Documentation

typedef vtkCompositeManager vtkTreeComposite::Superclass

| Reimplemented from vtkCompositeManager. Definition at line 49 of file vtkTreeComposite.h.

## Constructor & Destructor Documentation

vtkTreeComposite::vtkTreeComposite | ( |  | ) | `[protected]`

vtkTreeComposite::~vtkTreeComposite | ( |  | ) | `[protected]`

## Member Function Documentation

vtkTreeComposite* vtkTreeComposite::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkCompositeManager.

virtual const char* vtkTreeComposite::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCompositeManager.

int vtkTreeComposite::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCompositeManager.

virtual int vtkTreeComposite::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCompositeManager.

vtkTreeComposite* vtkTreeComposite::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCompositeManager.

void vtkTreeComposite::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCompositeManager.

The documentation for this class was generated from the following file:

- Parallel/vtkTreeComposite.h